GDB (xrefs)

Classes | Macros | Typedefs
/tmp/gdb-8.1/gdb/varobj-iter.h File Reference

Go to the source code of this file.

## Classes
struct | varobj_item
struct | varobj_iter
struct | varobj_iter_ops

## Macros
#define | varobj_iter_next(ITER) (ITER)->ops->next (ITER)
#define | varobj_iter_delete(ITER)

## Typedefs
typedef struct varobj_item | varobj_item

## Macro Definition Documentation

## ◆ varobj_iter_delete

#define varobj_iter_delete | ( |  | ITER | ) |

Value:
do \
{ \
if ((ITER) != NULL) \
{ \
(ITER)->ops->dtor (ITER); \
xfree (ITER); \
} \
} while (0)

Definition at line 64 of file varobj-iter.h.

Referenced by install_visualizer(), update_dynamic_varobj_children(), and varobj::~varobj().

## ◆ varobj_iter_next

#define varobj_iter_next | ( |  | ITER | ) | (ITER)->ops->next (ITER)

Definition at line 60 of file varobj-iter.h.

Referenced by update_dynamic_varobj_children().

## Typedef Documentation

## ◆ varobj_item

typedef struct varobj_item varobj_item